<?php
/**
 * Block Styles
 *
 * @package tech_software
 * @since 1.0
 */

if ( function_exists( 'register_block_style' ) ) {
	function tech_software_register_block_styles() {

		//Wp Block Padding Zero
		register_block_style(
			'core/group',
			array(
				'name'  => 'tech-software-padding-0',
				'label' => esc_html__( 'No Padding', 'tech-software' ),
			)
		);

		//Wp Block Post Author Style
		register_block_style(
			'core/post-author',
			array(
				'name'  => 'tech-software-post-author-card',
				'label' => esc_html__( 'Theme Style', 'tech-software' ),
			)
		);

		//Wp Block Button Style
		register_block_style(
			'core/button',
			array(
				'name'         => 'tech-software-button',
				'label'        => esc_html__( 'Plain', 'tech-software' ),
			)
		);

		//Post Comments Style
		register_block_style(
			'core/post-comments',
			array(
				'name'         => 'tech-software-post-comments',
				'label'        => esc_html__( 'Theme Style', 'tech-software' ),
			)
		);

		//Latest Comments Style
		register_block_style(
			'core/latest-comments',
			array(
				'name'         => 'tech-software-latest-comments',
				'label'        => esc_html__( 'Theme Style', 'tech-software' ),
			)
		);


		//Wp Block Table Style
		register_block_style(
			'core/table',
			array(
				'name'         => 'tech-software-wp-table',
				'label'        => esc_html__( 'Theme Style', 'tech-software' ),
			)
		);


		//Wp Block Pre Style
		register_block_style(
			'core/preformatted',
			array(
				'name'         => 'tech-software-wp-preformatted',
				'label'        => esc_html__( 'Theme Style', 'tech-software' ),
			)
		);

		//Wp Block Verse Style
		register_block_style(
			'core/verse',
			array(
				'name'         => 'tech-software-wp-verse',
				'label'        => esc_html__( 'Theme Style', 'tech-software' ),
			)
		);
	}
	add_action( 'init', 'tech_software_register_block_styles' );
}
